/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.operation;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlOperation;

/**
 * Changes the label of a WsdlOperation as shown in SoapUI
 * 
 * @author Ole.Matzura
 */

public class RelabelOperationAction extends AbstractAction
{
   private final WsdlOperation operation;

	public RelabelOperationAction( WsdlOperation operation )
   {
      super( "Relabel" );
		this.operation = operation;
      putValue( Action.SHORT_DESCRIPTION, "Relabel this operation" );
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = (String) JOptionPane.showInputDialog( SoapUI.getInstance().getFrame(), 
      		"Specify label for operation\n(will not change underlying wsdl operation name)",
      		"Relabel Operation", JOptionPane.QUESTION_MESSAGE, null, null, operation.getName() );
      if( name == null || name.equals( operation.getName() )) return;
      
      operation.setName( name );
   }

}
