/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.request;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlOperation;
import com.eviware.soapui.impl.wsdl.WsdlRequest;

/**
 * Clones a WsdlRequest
 * 
 * @author Ole.Matzura
 */

public class CloneRequestAction extends AbstractAction
{
   private final WsdlRequest request;

	public CloneRequestAction( WsdlRequest request )
   {
      super( "Clone Request" );
		this.request = request;
      putValue( Action.SHORT_DESCRIPTION, "Creates a copy of this request" );
      putValue( Action.SMALL_ICON, SoapUI.createImageIcon("/clone_request.gif"));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = (String) JOptionPane.showInputDialog( SoapUI.getInstance().getFrame(), "Specify name of cloned request", 
      		"Clone Request", JOptionPane.QUESTION_MESSAGE, null, null,
            "Copy of " + request.getName() );
      if( name == null ) return;
      
      WsdlRequest newRequest = ((WsdlOperation)request.getOperation()).addNewRequest( name );
      newRequest.setEncoding( request.getEncoding() );
      newRequest.setEndpoint( request.getEndpoint() );
      newRequest.setRequest( request.getRequestContent() );
      
      SoapUI.getInstance().selectModelItem( newRequest );
      SoapUI.getInstance().showTab( newRequest );
   }

}
