/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.testcase;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlTestCase;
import com.eviware.soapui.impl.wsdl.WsdlTestSuite;

/**
 * Removes a WsdlTestCase from its WsdlTestSuite
 * 
 * @author Ole.Matzura
 */

public class RemoveTestCaseAction extends AbstractAction
{
   private final WsdlTestCase testCase;

	public RemoveTestCaseAction( WsdlTestCase testCase )
   {
      super( "Remove" );
		this.testCase = testCase;
      putValue( Action.SHORT_DESCRIPTION, "Removes this test-case from the test-suite" );
   }
   
   public void actionPerformed(ActionEvent e)
	{
      if( JOptionPane.YES_OPTION != JOptionPane.showConfirmDialog( SoapUI.getInstance().getFrame(), 
            "Remove test-case [" + testCase.getName() + "] from test-suite", "Remove TestCase", 
            JOptionPane.YES_NO_OPTION))
      {
         return;
      }
      
      ((WsdlTestSuite)testCase.getTestSuite()).removeTestCase( testCase );
   }

}
