/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.testsuite;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlProject;
import com.eviware.soapui.impl.wsdl.WsdlTestSuite;

/**
 * Removes a WsdlTestSuite from its WsdlProject
 * 
 * @author Ole.Matzura
 */

public class RemoveTestSuiteAction extends AbstractAction
{
   private final WsdlTestSuite testSuite;

	public RemoveTestSuiteAction( WsdlTestSuite testSuite )
   {
      super( "Remove" );
		this.testSuite = testSuite;
      putValue( Action.SHORT_DESCRIPTION, "Removes this test-suite from the project" );
   }
   
   public void actionPerformed(ActionEvent e)
	{
      if( JOptionPane.YES_OPTION != JOptionPane.showConfirmDialog( SoapUI.getInstance().getFrame(), 
            "Remove project [" + testSuite.getName() + "] from project" ))
      {
         return;
      }
      
      ((WsdlProject)testSuite.getProject()).removeTestSuite( testSuite );
   }

}
