/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model;

import java.awt.Component;

/**
 * Behaviour for building ModelItem-related UI panels
 * 
 * @author Ole.Matzura
 */

public interface PanelBuilder
{
	public boolean hasOverviewPanel();
   
	public Component buildOverviewPanel();
   
	public boolean canBuildDesktopPanel();
   
	public DesktopPanel buildDesktopPanel();

	public String getDesktopPanelTitle();
}
