/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.tree.nodes;

import com.eviware.soapui.model.ModelItem;
import com.eviware.soapui.model.tree.SoapUITreeModel;

/**
 * Base-class for internal SoapUITreeNode listeners
 * 
 * @author Ole.Matzura
 */

public abstract class InternalTreeNodeListener
{
	private final SoapUITreeModel treeModel;

	public InternalTreeNodeListener( SoapUITreeModel treeModel )
	{
		this.treeModel = treeModel;
	}
	
	protected void notifyNodeInserted(ModelItem modelItem)
   {
      treeModel.notifyNodeInserted( modelItem.getTreeNode() );
   }

   protected void notifyNodeRemoved(ModelItem modelItem)
   {
   	treeModel.notifyNodeRemoved( modelItem.getTreeNode() );
   }
}
